/* header file for byte benchmarks
** BYTE Magazine, Spring 1990.
**
** benchmark constants are defined here
** include when compiling benchcod.c and benchfac.c
*/

/* real benchmark constants */

/* Defines */
#define SIEVESIZE 8190		/* Size of the sieve array */
#define SORTSIZE 1024		/* Size of sort array */
#define NKTOMOVE 50		/* K bytes to move in string move */
#define NIOPS 8192		/* # of integer operations */
#define NTXCHARS 8192		/* # of chars per text benchmark */
#define NSCCHARS 1024		/* # of chars per scroll benchmark */
#define NUMCIRC 9		/* Number of circles to draw */
#define HDSEEKS 1000		/* Hard disk seeks */
#define HDTHITERS 1000		/* Hard disk throughput iterations */
#define FFITERS 8192		/* 4-bangs per loop */
#define NCOEFFS 10		/* Fourier coefficients */

/* constants */
#define TRUE		1
#define YES		1
#define NO		0

#define UPARROW		72		/* keys*/
#define DOWNARROW	80
#define RIGHTARROW	77
#define LEFTARROW	75
#define CTRLRA		116
#define CTRLLA		115
#define TAB		9
#define ENTER		13
#define ESC		27
#define PGUP		73
#define PGDOWN		81
#define CTRLW		23
#define CTRLS		19
#define CTRLD		4
#define STAR		42
#define INS		82
#define BS		8
#define DEL		83
#define CR		13
#define LF		10

/* help index structure */
struct help_handle {
	char *arryptr;
	unsigned int filehandle;
	unsigned int chapter_offsets[50];
	};

/* config structure */
struct mcfig {
	char machine_name[15];
	unsigned int graphics_type;
	unsigned int proc_type;
	unsigned int fpu_type;
	unsigned int MHz;
	unsigned int num_hard;
	int dosnowplow;
	};

/* graphics types for structure */

#define	MDA	6
#define HERC	5
#define EGAM	4
#define CGA	3
#define	EGAC	2
#define VGA	1

/* timer protypes for everybody */
extern void start_timer(void);			/* start timer */
extern void stop_timer(unsigned int *);		/* stop timer */

