/* definitions for benchfac.c, part of the byte benchmarks
** BYTE magazine, Spring 1990
*/

#define FASTLIMIT	10 	/* minimum time for fast machines */
#define MEDLIMIT	30 	/* minimum time for 16MHz-8MHz machs*/
#define SLOWLIMIT	30	/* minimum time - slow machines */
#define TEXTRESWIDE	76	/* text results array width */
#define TEXTRESHIGH	60	/* text results arrray height */
#define TEXTRESSIZE	4560	/* TRH * TRW */
#define HWIDTH		30	/* width of help text */
#define YESNO		1	/* alert_box code to accept input*/

/* big predefined strings */
#define USAGESTRING	"Invalid option. Use bbench /h for list of valid switches."
#define NAMEDEF		"Test Machine"
#define BARSTRING	""
#define BLANKSTRING "                                                                        "
#define WINPAUSESTRING "Working ... Just a moment"
#define SKEYLISTSTRING	"Tab-Graphs   PgUp/PgDn-Scroll  ^W-Write Results File  Esc-Previous Menu"
#define GRAPHKLSTRING	"             Tab -- Review Results                 Esc -- Previous Menu "
#define MENKEYLISTSTRING " PgUp/PgDn-Scroll Info    /-Selection Bar   Enter-Select      ESC-Exit   "
#define CMKEYLISTSTRING " PgUp/PgDn-Scroll Info   /-Selection Bar  Enter-Select    ESC-Previous "
#define TSCKEYLISTSTRING "PgUp/PgDn-Scroll Info  /-Cursor  \x1b/\x1a-Modify  Enter-Select  ESC-Previous       "

#define DOUBBAR "=========================================================================="
#define SINGBAR "--------------------------------------------------------------------------"
#define NTSTRING	"No tests specified -- Check defaults"
#define MDASTRING	"This machine cannot do pixel graphics"
#define IDSSTRING	"Insufficient disk space for File I/O. Continue? [y/n]"
#define DERRSTRING	"Disk Error: For floppies, make sure drive door is closed. Continue? [y/n]"
#define NOHELPFILESTRING1 "Info File (BBHELP.DAT)"
#define NOHELPFILESTRING2 "      Not Found."
#define DBTITLESTRING  "     Name      * CPU-AT FPU-AT Dsk-AT Vid-AT CPU-386 FPU-386 Dsk-386 Vid-386"
#define NODATASTRING "%14s           N O   D A T A    A V A I L A B L E                 "
#define ONSTR 	"On"
#define OFFSTR 	"Off"

/* macros */

#define CPUSPECD	(tdef[0]||tdef[1]||tdef[2]||tdef[3])
#define SMOVESPECD	(tdef[3])
#define FPUSPECD	(tdef[4]||tdef[5]) 
#define DISKSPECD 	(tdef[6]||tdef[8])
#define VIDSPECD	(tdef[10]||tdef[11])

#define BLANKSCREEN	mk_window(&bswin, NULL, 0, 0, 80, 25, BLACK, BLACK,            BLACK, BLACK, 0, 0)
#define UNBLANKSCREEN kill_window(&bswin)
#define isnprnt(x)      (( (x) < 0x20 ) || ( (x) > 0x7e))


/* box definitions */
/* main menu */
char main_num_valid = 6;
char main_valid_lines[6] = {0,2,4,6,8,10};

/* controls menu */
char controls_valid_lines[5] = {0, 2, 4, 6, 8};

/* test suite menu */
char tsuite_num_valid  = 16;
char tsuite_valid_lines[16] = {0,1,2,3,5,6,8,9,10,11,13,14,16,18,19,20};

/* system setup menu */
char sysset_num_valid  = 9;
char sysset_valid_lines[9] = {0,2,3,4,5,7,8,10,11};

/* comparison editor menu */
char edat_valid_lines[20] =	\
		 {2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21};

/* sort box */
char sortwin_valid_lines[9] = {2,3,4,5,6,7,8,9};


/* logo */
char logoarray[306]={

0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
		     0,0xdb,0xdb,0xdb,0xdb,0xdb,0xdb,0xdc,0,
     		     0xdb,0xdb,0xdb,0,0,0,0xdb,0,
		     0xdf,0xdf,0xdb,0xdb,0xdb,0xdf,0xdf,0,
		     0xdb,0xdb,0xdb,0xdf,0xdf,0xdf,0xdf,0,0,

		     0,0xdb,0xdb,0xdb,0xdb,0,0,0xdb,0,
       		     0xdb,0xdb,0xdb,0,0,0,0xdb,0,
		     0,0,0xdb,0xdb,0xdb,0,0,0,
		     0xdb,0xdb,0xdb,0,0,0,0,0,0,

		     0,0xdb,0xdb,0xdb,0xdb,0,0,0xdb,0,
		     0xdb,0xdb,0xdb,0,0,0,0xdb,0,
		     0,0,0xdb,0xdb,0xdb,0,0,0,
		     0xdb,0xdb,0xdb,0,0,0,0,0,0,

		     0,0xdb,0xdb,0xdb,0xdb,0xdf,0xdf,0xdb,0,
		     0xdb,0xdb,0xdb,0xdb,0xdb,0xdb,0xdb,0,
		     0,0,0xdb,0xdb,0xdb,0,0,0,
		     0xdb,0xdb,0xdb,0xdf,0xdf,0xdf,0xdf,0,0,

		     0,0xdb,0xdb,0xdb,0xdb,0,0,0xdb,0,
		     0,0,0,0xdb,0xdb,0xdb,0,0,
		     0,0,0xdb,0xdb,0xdb,0,0,0,
		     0xdb,0xdb,0xdb,0,0,0,0,0,0,

		     0,0xdb,0xdb,0xdb,0xdb,0,0,0xdb,0,
		     0,0,0,0xdb,0xdb,0xdb,0,0,
		     0,0,0xdb,0xdb,0xdb,0,0,0,
		     0xdb,0xdb,0xdb,0,0,0,0,0,0,

    		     0,0xdb,0xdb,0xdb,0xdb,0xdb,0xdb,0xdf,0,
		     0,0,0,0xdb,0xdb,0xdb,0,0,
		     0,0,0xdb,0xdb,0xdb,0,0,0,
		     0xdb,0xdb,0xdb,0xdc,0xdc,0xdc,0xdc,0,0,

	0,'D','O','S',0,'B',0,'e',0,'n',0,'c',0,'h',
	0,'m',0,'a',0,'r',0,'k',0,'s',0,0,'v','.',0,'2','.','0',0,0
		     };

