/* BYTE benchmark source file 
** definitions for window subroutines
** Include when compiling benchfac.c
*/

struct	window_handle
	{  char made;			/* zero unless linked 0*/
	   char *win_name;		/* a name for the titlebar 1*/
	   char x1;			/* logical ul x coordinate 3*/
	   char y1;			/* logical ul y coordinate 4*/
	   char ulx;			/* physical ulx, with frame 5*/
	   char	uly;			/* physical uly, with frame 6*/
	   char	frame_flag;		/* frame with lines? 7*/
	   char immortal_flag;		/* window can't be destroyed?8*/
	   char	hidden_flag;		/* window currently hidden?9*/
	   char *behind_window;		/* pnts to image_w x image_h array10*/
	   char w;			/* logical width 12*/
	   char h;			/* logical height 13*/
	   char image_w;		/* actual displayed w 14*/
	   char image_h;		/* actual displayed h 15*/
	   char	frame_attrib;		/* attribute byte for frame 16*/
	   char interior_attrib;	/* attribute byte for interior 17*/
	   char *displayed_array;	/* pnts to array displayed within18*/
	   int  dax;			/* width of array 20*/
	   int  day;			/* length of array 22*/
	   int	dax_off_log;		/* x dist from ary 0 to log ulc 24*/
	   int	day_off_log;		/* y dist from ary 0 to log ulc 26 */
	   int  dax_off_ul;		/* x dist from array zero to ulc 28*/
	   int  day_off_ul;		/* y dist from array zero to ulc 30*/
	   char	da_ulx;			/* x screen coordinate ulc 32 */
	   char	da_uly;			/* y screen coordinate ulc 33 */
	   char da_im_w;		/* displayed interior width 34 */
	   char da_im_h;		/* displayed interior height 35 */
	   char num_valid;		/* number of valid lines for menu 36*/
	   char *valid_lines;		/* pointer to list of valid lines */
	};

typedef struct window_handle win_handle;

/* macros */
#define unhide_window(x) hide_window(x) /* same function swaps buffers */

/* colors, screen definitions*/
#define LT_BLUE		0x09
#define LT_GREEN	0x0a
#define LT_CYAN		0x0b
#define PINK		0x0c
#define LT_MAG		0x0d
#define YELLOW		0x0e
#define WHITE 		0x0f
#define BLACK		0x00
#define BLUE		0x01
#define GREEN		0x02
#define CYAN		0x03
#define RED		0x04
#define MAG		0x05
#define BROWN		0x06
#define GRAY 		0x07

#define BLANK_CURSE	0x3030

